﻿.panel {
    opacity: initial;
}

#PackagesNav, #PackagesNavXS {
    font-size: 16px;
    font-weight: bold;
}

@media only screen and (max-width: 320px) {
    #PackagesNav, #PackagesNavXS {
        font-size: 13px;
    }
}

.anchor {
    text-decoration: none;
}

.table > thead > tr > th, .table > tbody > tr > th, .table > tfoot > tr > th, .table > thead > tr > td, .table > tbody > tr > td, .table > tfoot > tr > td {
    vertical-align: middle !important;
}

h2.lead {
    margin-top: 0;
    margin-bottom: 0;
}

.fixed {
    position: fixed;
    z-index: 2;
}


@media(max-width: 767px) {
    #divCatalog .btn :not(.catalog-kiosk-cards-enabled) {
        width: 60px !important;
        height: auto;
    }
}


@media (max-width: 1600px) {
    .bs-docs-sidebar {
        width: 220px !important;
        margin-right: 5% !important;
    }

    .liAnchor .anchor span {
        word-break: break-word;
        text-align: justify left;
    }


    .liAnchor .anchor {
        word-break: break-word;
        text-align: justify left;
    }
}

.catalog-card {
    border-radius: 12px;
    border: 0;
    text-align: center;
}

@media (min-width: 1200px) {
    /* 5 cards per row for kiosk mode */
    .catalog-kiosk-cards-enabled .col-lg-3 {
        width: 20%;
    }
}

.catalog-card-title {
    min-height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0;
    font-weight: bold;
    font-size: 20px;
}

.catalog-thumbnail {
    margin-bottom: 0;
    padding: 0;
    background: none;
    border: 0;
    min-height: 197px;
    border-radius: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.catalog-img {
    position: absolute;
    max-height: 190px;
    max-width: 85% !important;
    z-index: 2;
    width: auto;
    border-radius: 12px;
}

.catalog-img-large {
    border-radius: 12px;
    max-height: 350px;
}

.catalog-img-placeholder {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -300%);
    color: #646464;
    z-index: 1;
}

.catalog-card-subtitle-col {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 25px;
}

.catalog-card-subtitle-price {
    font-size: 16px;
}

.catalog-swiper-btn {
    transform: scale(0.7);
}

    .catalog-swiper-btn.swiper-button-next {
        right: 0 !important;
    }

    .catalog-swiper-btn.swiper-button-prev {
        left: 0 !important;
    }


@media only screen and (max-width: 1600px) {
    .package-panel {
        min-height: 275px !important;
    }
}

.ineligible-item-tooltip {
    text-align: left;
}

.hiddenForMultiCustomerUse {
    display: none;
}

.catalog-ready-to-scan {
    background-color: #f5f5f5;
    border-radius: 100px;
    padding: 8px;
    position: relative;
    display: inline-block;
    cursor: help;
}

.barcode-icon {
    transform: scale(1.3);
    color: black;
}

.barcode-pulse {
    width: 24px;
    height: 2px;
    background: red;
    cursor: pointer;
    box-shadow: 0 0 0 rgba(255,0,0, 0.4);
    animation: pulse 2s infinite;
    display: inline-block;
    position: absolute;
    left: 3px;
    top: 48%;
    z-index: 1;
    border-radius: 12px;
}

@-webkit-keyframes pulse {
    0% {
        -webkit-box-shadow: 0 0 0 0 rgba(255,0,0, 0.4);
    }

    70% {
        -webkit-box-shadow: 0 0 0 12px rgba(255,0,0, 0);
    }

    100% {
        -webkit-box-shadow: 0 0 0 0 rgba(255,0,0, 0);
    }
}

@keyframes pulse {
    0% {
        -moz-box-shadow: 0 0 0 0 rgba(255,0,0, 0.4);
        box-shadow: 0 0 0 0 rgba(255,0,0, 0.4);
    }

    70% {
        -moz-box-shadow: 0 0 0 12px rgba(255,0,0, 0);
        box-shadow: 0 0 0 5px rgba(255,0,0, 0);
    }

    100% {
        -moz-box-shadow: 0 0 0 0 rgba(255,0,0, 0);
        box-shadow: 0 0 0 0 rgba(255,0,0, 0);
    }
}

input:checked.show-ineligible-items-checkbox + .go-switch-slider {
    background-color: #a45a52;
}

.go-switch-on.show-ineligible-items {
    color: #a45a52;
}
